<script setup lang="ts">
import { useRouteQuery } from '@vueuse/router';

const licenseId = useRouteQuery('id', '');

if (!licenseId.value) {
  throw new Error('No license ID provided');
}

const { data: license, isLoading: isLicenseLoading, isSuccess: isLicenseReady } = useLicenseQuery(licenseId);
</script>

<template>
  <div>
    <LicenseDetails
      v-if="isLicenseReady && !isLicenseLoading && license"
      :license="license"
    />
  </div>
</template>


<style scoped></style>
